#!/bin/sh
set -e

test ! -f /etc/monit.d/zeroconf.conf || exit 0

test -n "${EMAIL}"
test -n "${EMAIL_FROM}"
test -n "${MMONIT}"
test -n "${CREDENTIALS}"

sed -re "s/@@EMAIL@@/${EMAIL}/" \
     -e "s/@@EMAIL_FROM@@/${EMAIL_FROM}/" \
     -e "s/@@HOSTNAME@@/${EMAIL_FROM#*@}/" \
     -e "s/@@MMONIT@@/${MMONIT}/" \
     -e "s/@@CREDENTIALS@@/${CREDENTIALS}/" \
     /etc/zeroconf.conf > /etc/monit.d/zeroconf.conf

monit -t
monit reload
